# XcodebuildRake

Simple Ruby Rake build script for Xcode projects. It uses `xcodebuild` and `xcpretty` tools.

## Installation and usage

- [**Prerequisites**](./docs/prerequisites.md)
- [**Installation**](./docs/installation.md)
- [**Configuration**](./docs/configuration.md)
- [**Usage**](./docs/usage.md)

## Development

After checking out the repo, run `bin/setup` to install dependencies.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/ApplauseAQI/xcodebuild-rake. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
