# Prerequisites

The build script fetches it dependencies using `bundler` and configuration file `Gemfile`. In order to make sure that all ruby dependencies are sandboxed within the project it's recommended to use RVM ([rvm.io](https://rvm.io)).

To install RVM on your machine invoke the following

```
$ curl -sSL https://get.rvm.io | bash -s stable --ruby
```
and then simply install desired version of Ruby:
```
$ rvm install 2.2.1
$ rvm use 2.2.1
```

Create `gemset` for your project (e.g. MyProject):

```
$ rvm use 2.2.1@my-project --create

```

Lastly install `bundler`:
```
$ gem install bundler
```

## Uploading applications to Applause SDK / Beta

In order to upload .ipa or .apk files to Applause SDK or Beta, install applause-tool cli using pip:

```
$ pip install applause-tool
```
